Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Class WorkThread

    java.lang.Object
      java.lang.Thread
          org.gjt.sp.util.WorkThread

All Implemented Interfaces:
  java.lang.Runnable, ThreadAbortMonitor

Deprecated.

    @Deprecated
    public class WorkThread

extends java.lang.Thread
implements ThreadAbortMonitor

Services work requests in the background.

See Also:
  `ThreadUtilities`

Nested Class Summary
`static class` | `WorkThread.Abort` Deprecated.

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`WorkThread(WorkThreadPool pool, java.lang.ThreadGroup group, java.lang.String name)` Deprecated.

Method Summary
`void` | `abortCurrentRequest()` Deprecated. Aborts the currently running request, if allowed.
`int` | `getProgressMaximum()` Deprecated. Returns the progress maximum.
`int` | `getProgressValue()` Deprecated. Returns the progress value.
`java.lang.String` | `getStatus()` Deprecated. Returns the status text.
`boolean` | `isAborted()` Deprecated.
`boolean` | `isRequestRunning()` Deprecated. Returns if the work thread is currently running a request.
`void` | `run()` Deprecated.
`void` | `setAbortable(boolean abortable)` Deprecated. Sets if the current request can be aborted.
`void` | `setProgressMaximum(int progressMaximum)` Deprecated. Sets the maximum progress value.
`void` | `setProgressValue(int progressValue)` Deprecated. Sets the progress value.
`void` | `setStatus(java.lang.String status)` Deprecated. Sets the status text.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkThread

    public WorkThread(WorkThreadPool pool,
                      java.lang.ThreadGroup group,
                      java.lang.String name)

  Deprecated.

Method Detail

### setAbortable

    public void setAbortable(boolean abortable)

  Deprecated.
  Sets if the current request can be aborted. If set to true and already aborted, the thread will be stopped

  Parameters:
    `abortable` - true if the WorkThread is abortable
  Since:
    jEdit 2.6pre1

### isRequestRunning

    public boolean isRequestRunning()

  Deprecated.
  Returns if the work thread is currently running a request.

  Returns:
    true if a request is currently running

### isAborted

    public boolean isAborted()

  Deprecated.
  Specified by:
    `isAborted` in interface `ThreadAbortMonitor`

### getStatus

    public java.lang.String getStatus()

  Deprecated.
  Returns the status text.

  Returns:
    the status label

### setStatus

    public void setStatus(java.lang.String status)

  Deprecated.
  Sets the status text.

  Parameters:
    `status` - the new status of the thread
  Since:
    jEdit 2.6pre1

### getProgressValue

    public int getProgressValue()

  Deprecated.
  Returns the progress value.

  Returns:
    the progress value

### setProgressValue

    public void setProgressValue(int progressValue)

  Deprecated.
  Sets the progress value.

  Parameters:
    `progressValue` - the new progress value
  Since:
    jEdit 2.6pre1

### getProgressMaximum

    public int getProgressMaximum()

  Deprecated.
  Returns the progress maximum.

  Returns:
    the maximum value of the progression

### setProgressMaximum

    public void setProgressMaximum(int progressMaximum)

  Deprecated.
  Sets the maximum progress value.

  Parameters:
    `progressMaximum` - the maximum value of the progression
  Since:
    jEdit 2.6pre1

### abortCurrentRequest

    public void abortCurrentRequest()

  Deprecated.
  Aborts the currently running request, if allowed.

  Since:
    jEdit 2.6pre1

### run

    public void run()

  Deprecated.
  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD